#!/bin/bash
FORMAT=rgb24
RESOLUTION=2196x2048
FFMPEG_CMD="./ffmpeg -s $RESOLUTION -pix_fmt $FORMAT -i test.raw -vf scale=2196:4096 out.bmp -cpuflags 0 -nostats" #2> out

i=0
while read FORMAT;
	do echo test$i\ $FORMAT;
	FFMPEG_CMD="./ffmpeg -s $RESOLUTION -pix_fmt $FORMAT -i test.raw -vf scale=2196:4096 /tmp/out_$FORMAT.bmp -cpuflags 0 -nostats"
	CPU_CURRENT=$(echo 'y' | $FFMPEG_CMD  2>&1 | grep UNITS | tr "skips" "skips\n")
	FFMPEG_CMD="./ffmpeg -s $RESOLUTION -pix_fmt $FORMAT -i test.raw -vf scale=2196:4096 /tmp/out_$FORMAT.vsx.bmp -nostats"
	WITHOUT_CPU_CURRENT=$(echo 'y' | $FFMPEG_CMD 2>&1 | grep UNITS | tr "skips" "skips\n")
	echo $CPU_CURRENT
	CPU=$CPU+$CPU_CURRENT
	WITHOUT_CPU=$WITHOUT_CPU+$WITHOUT_CPU_CURRENT
	sleep 0.1
	i=$((i + 1)) 
done < ffmpeg_formats.txt
echo CPU_CURRENT > bench_cpu.txt
echo WITHOUT_CPU_CURRENT > bench_vsx.txt
